COMM_FAILURE (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA.COMM_FAILURE class

Module java.corba
Package org.omg.CORBA

## Class COMM_FAILURE

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.COMM_FAILURE

- All Implemented Interfaces:
    `Serializable`

      public final class COMM_FAILURE
      extends SystemException

  This exception is raised if communication is lost while an operation is in progress, after the request was sent by the client, but before the reply from the server has been returned to the client.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  See the section Minor Code Meanings to see the minor codes for this exception.

  See also documentation on Java IDL exceptions.

  Since:
    JDK1.2

- - ### Field Summary

    - ### Fields declared in class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `COMM_FAILURE()` | Constructs a `COMM_FAILURE` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
    `COMM_FAILURE​(int minor, CompletionStatus completed)` | Constructs a `COMM_FAILURE` exception with the specified minor code and completion status.
    `COMM_FAILURE​(String s)` | Constructs a `COMM_FAILURE` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
    `COMM_FAILURE​(String s, int minor, CompletionStatus completed)` | Constructs a `COMM_FAILURE` exception with the specified detail message, minor code, and completion status.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class org.omg.CORBA.SystemException

      `toString`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

- - ### Constructor Detail

    - #### COMM_FAILURE

          public COMM_FAILURE()

      Constructs a `COMM_FAILURE` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

    - #### COMM_FAILURE

          public COMM_FAILURE​(String s)

      Constructs a `COMM_FAILURE` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the `String` containing a detail message describing this exception

    - #### COMM_FAILURE

          public COMM_FAILURE​(int minor,
                              CompletionStatus completed)

      Constructs a `COMM_FAILURE` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status, which must be one of `COMPLETED_YES`, `COMPLETED_NO`, or `COMPLETED_MAYBE`.

    - #### COMM_FAILURE

          public COMM_FAILURE​(String s,
                              int minor,
                              CompletionStatus completed)

      Constructs a `COMM_FAILURE` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the String containing a detail message
        `minor` - the minor code
        `completed` - the completion status, which must be one of `COMPLETED_YES`, `COMPLETED_NO`, or `COMPLETED_MAYBE`.